classification
Title: Bring Doc/faq/windows up to date
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, eric.araujo, ezio.melotti, kathweaver, python-dev, zach.ware
Priority: normal Keywords: easy

Created on 2014-01-15 04:00 by zach.ware, last changed 2014-03-13 05:05 by eric.araujo. This issue is now closed.

Messages (5)
msg208138 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2014-01-15 04:00
The Python on Windows faq could use some TLC.  For instance, cx_Freeze should be mentioned in the faq about creating an executable (and py2exe should either mention that it doesn't quite support 3.x yet, or just be removed until it does), and the embedding faq should be cleaned up with proper voice and formatting (and the "undocumented facts" should be documented).
msg208340 - (view) Author: Roundup Robot (python-dev) Date: 2014-01-17 15:00
New changeset c9706c13a005 by Zachary Ware in branch '3.3':
Issue #20266: Update parts of the Windows FAQ
http://hg.python.org/cpython/rev/c9706c13a005

New changeset 3cb048463ea7 by Zachary Ware in branch 'default':
Issue #20266: Merge with 3.3
http://hg.python.org/cpython/rev/3cb048463ea7
msg208349 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-01-17 17:24
The faq doesn't mention the new launcher for Windows.  Rather than write too much I'd simply cross reference this http://docs.python.org/3/using/windows.html#python-launcher-for-windows.  I think this also impacts on the section "How do I make Python scripts executable?".
msg212965 - (view) Author: Kathleen Weaver (kathweaver) * Date: 2014-03-09 17:42
Kathleen Weaver -- am beginning to Python but comfortable with Windows so will look at this.
msg213353 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2014-03-13 05:05
#20265 has more discussion as well as a patch that touches both Windows FAQ and Using Windows.  Closing this one.
History
Date User Action Args
2014-03-13 05:05:04eric.araujosetstatus: open -> closed

nosy: + eric.araujo
messages: + msg213353

resolution: fixed
stage: needs patch -> resolved
2014-03-09 17:42:45kathweaversetnosy: + kathweaver
messages: + msg212965
2014-02-15 15:35:52ezio.melottisetnosy: + ezio.melotti
2014-02-03 15:36:52BreamoreBoysetnosy: - BreamoreBoy
2014-01-17 17:24:30BreamoreBoysetnosy: + BreamoreBoy
messages: + msg208349
2014-01-17 15:00:46python-devsetnosy: + python-dev
messages: + msg208340
2014-01-15 04:00:48zach.warecreate